=== debian/changelog ===
lomiri-telephony-service (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.0. No changes needed.
  * debian/patches:
    + Drop 1001_gettext-is-not-a-member-of-C.patch and 0001_indicator-
      authhandler.h-Correctly-include-Notificati.patch. Both applied
      upstream.
    + Drop 2001_use-new-lomiri-history-service.patch. Not required anymore.
    + Adjust patch 2002 to upstream's new Lomiri-namespacing improvements.
    + Add 1001_lomiri-ofono-setup.patch: Rename ofono-setup to lomiri-ofono-
      setup.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/{*.install,not-installed}:
    + Add new polkit-1 .rules file, don't installed the .pkla file anymore
      (Closes: #1078325, #1093071).
    + Adjust to upstream's new Lomiri-namespacing improvements.
    + Adjust to renamed ofono-setup script.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Jan 2025 10:09:05 +0100

lomiri-telephony-service (0.5.3-3) unstable; urgency=medium

  * debian/patches:
    + Drop 1002_CMake-fix-dependency.patch. Not the right fix.
    + Add 2001_use-new-lomiri-history-service.patch.
    + Add 0001_indicator-authhandler.h-Correctly-include-Notificati.patch.
      Correctly include NotificationsInterface.h from
      ${CMAKE_BINARY_DIR}/indicator. (Closes: #1084166).
    + Add 2002_qtcontacts-sqlite.patch. Migrate to QtContact sqlite backend.
  * debian/control:
    + In B-D: field, switch from libhistoryservice-dev to
      liblomirihistoryservice-dev.
    + In B-D: field, switch from pkg-config to pkgconf.
    + Add D: (qml-module-lomiri-telephony): libqt5contact5-plugin-sqlite
      (and drop commented out qtcontact5-galera).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Oct 2024 22:13:00 +0200

lomiri-telephony-service (0.5.3-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Add 1002_CMake-fix-dependency.patch. Fix unhandled dependency on
      generated .h file.
    + Add 1001_gettext-is-not-a-member-of-C.patch. Include libintl.h into
      :: namespace rather than into C::. Resolves conflict with abseil >=
      20230802.1. (Closes: #1068655).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Apr 2024 15:53:48 +0200
