=== debian/control ===
Source: lomiri-telephony-service
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               dbus-test-runner,
               dconf-cli,
               debhelper-compat (= 13),
               gnome-keyring,
               liblomirihistoryservice-dev,
               libicu-dev,
               libmessaging-menu-dev,
               libnotify-dev,
               libphonenumber-dev,
               libtelepathy-qt5-dev,
               libprotobuf-dev,
               libpulse-dev,
               liblomiri-url-dispatcher-dev,
               pkgconf,
               python3,
               qml-module-qttest,
               qtbase5-dev (>= 5.0),
               qtdeclarative5-dev (>= 5.0),
               qtdeclarative5-dev-tools (>= 5.0),
               qtfeedback5-dev,
               qml-module-lomiri-components,
               qml-module-lomiri-layouts,
               qml-module-lomiri-performancemetrics,
               qml-module-lomiri-test,
               qtmultimedia5-dev (>= 5.0),
               qtpim5-dev (>= 5),
               libusermetricsinput-dev,
               telepathy-mission-control-5,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/telephony-service/
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-telephony-service/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-telephony-service.git

Package: lomiri-telephony-service
Section: misc
Architecture: any
Multi-Arch: foreign
Conflicts: phone-app
Replaces: phone-app
Depends: lomiri-schemas,
         lomiri-history-service,
         libnotify4,
         telepathy-mission-control-5,
         lomiri-sounds,
         tone-generator,
         dconf-cli,
         python3,
         python3-dbus,
         python3-gi,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: telepathy-ofono
Description: Telephony service components for Lomiri - service daemon
 Telephony service components for Lomiri.
 .
 This package contains the backend components providing the telephony
 features such as calling and texting.

Package: qml-module-lomiri-telephony
Architecture: any
Multi-Arch: same
Depends: lomiri-schemas,
         libqt5contact5-plugin-sqlite,
         lomiri-telephony-service (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: telepathy-ofono
Description: Telephony service components for Lomiri - Telephony QML plugin
 Telephony service components for Lomiri.
 .
 This package contains the QML plugin providing the features from the telephony
 service to applications.

Package: qml-module-lomiri-telephony-phonenumber
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-lomiri-components
Description: Telephony service components for Lomiri - PhoneNumber QML plugin
 Telephony PhoneNumber components for Lomiri.
 .
 This package contains the QML plugin providing the features from the telephony
 PhoneNumber to applications.
